## org.apache.hadoop.contrib.index.example
Class LineDocInputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<DocumentID,LineDocTextAndOp>
          org.apache.hadoop.contrib.index.example.LineDocInputFormat

All Implemented Interfaces:
  InputFormat<DocumentID,LineDocTextAndOp>

    public class LineDocInputFormat

extends FileInputFormat<DocumentID,LineDocTextAndOp>

An InputFormat for LineDoc for plain text files where each line is a doc.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat
`FileInputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`LineDocInputFormat()`

Method Summary
`RecordReader<DocumentID,LineDocTextAndOp>` `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineDocInputFormat

    public LineDocInputFormat()

Method Detail

### getRecordReader

    public RecordReader<DocumentID,LineDocTextAndOp> getRecordReader(InputSplit split,
                                                                     JobConf job,
                                                                     Reporter reporter)
                                                              throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<DocumentID,LineDocTextAndOp>`
  Specified by:
    `getRecordReader` in class `FileInputFormat<DocumentID,LineDocTextAndOp>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation